Subject: Re: Review of draft-ietf-v6ops-nap-02.txt

From: Margaret Wasserman <[email-masked]>
Date: Thu, 10 Aug 2006 13:57:50 -0400

This is also how I expect that ULAs will be used.

Split DNS solves the _destination_ address selection problem, after  
which source address selection can be done using the usual longest- 
match model.

Margaret

On Aug 3, 2006, at 10:08 AM, Brian E Carpenter wrote:

> That's what I've always assumed would be the usage of
> ULAs.
>
>     Brian
>
> Templin, Fred L wrote:
>> On split-DNS, I have been studying address configuration in
>> a different context lately (NETLMM wg) and am leaning toward
>> a model in which nodes within an enterprise would use global
>> addresses only for communications with nodes in other
>> enterprises and would use ULAs for communications with nodes
>> in the same enterprise. So, that would automatically imply
>> split-DNS. Would that be a problem?
>> Fred
>> [email-masked]  -----Original Message-----
>> From: Brian E Carpenter [mailto:[email-masked]] Sent:  
>> Saturday, July 15, 2006 2:30 PM
>> To: Tony Hain
>> Cc: 'Margaret Wasserman'; [email-masked]
>> Subject: Re: Review of draft-ietf-v6ops-nap-02.txt
>> ...
>>>> One of the problems with NAT, at least from my perspective, is that
>>>> they require a split-DNS employment to get local name resolution.
>>>> Are we expecting that NAP will have that same property?
>>>
>>>
>>> Split-DNS would make the non-local case more efficient, but it is  
>>> not
>> a hard
>>> requirement like it is with IPv4/nat. Given that enterprises have
>> nodes that
>>> they don't want the world to know about they are likely to be  
>>> running
>> some
>>> form of split-DNS anyway, so I don't see this as a big deal either
>> way.
>> Personal opinion: in enterprise network deployments, split DNS is as
>> likely to go away as firewalls. If an enterprise has internal servers
>> that it wishes to hide from the outside world, split DNS is  
>> inevitable.
>> As Tony says, NAP will work without it (i.e. if a ULA appears in  
>> global
>> DNS, it will be unrouteable) but I bet it will be as widespread in  
>> IPv6
>> as it is for IPv4.
>>     Brian